Decorator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.display.Decorator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib.display
Class Decorator

    java.lang.Object
      org.hyperic.hq.ui.taglib.display.Decorator

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  ColumnDecorator, TableDecorator

    public abstract class Decorator

extends java.lang.Object
implements java.lang.Cloneable

This class provides some basic functionality for all objects which serve as decorators for the objects in the List being displayed.

Constructor Summary
`Decorator()`

Method Summary
`void` | `finish()`
`java.lang.String` | `finishRow()`
`java.util.List` | `getList()`
`int` | `getListIndex()`
`java.lang.Object` | `getObject()`
`javax.servlet.jsp.PageContext` | `getPageContext()`
`int` | `getViewIndex()`
`void` | `init(javax.servlet.jsp.PageContext ctx, java.util.List list)`
`java.lang.String` | `initRow(java.lang.Object obj, int viewIndex, int listIndex)`
`void` | `release()`
`void` | `setPageContext(javax.servlet.jsp.PageContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Decorator

    public Decorator()

Method Detail

### init

    public void init(javax.servlet.jsp.PageContext ctx,
                     java.util.List list)

### initRow

    public java.lang.String initRow(java.lang.Object obj,
                                    int viewIndex,
                                    int listIndex)

### finishRow

    public java.lang.String finishRow()

### finish

    public void finish()

### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext context)

### getPageContext

    public javax.servlet.jsp.PageContext getPageContext()

### getList

    public java.util.List getList()

### getObject

    public java.lang.Object getObject()

### getViewIndex

    public int getViewIndex()

### getListIndex

    public int getListIndex()

### release

    public void release()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.